﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace xamChartYAxisFormatBinding
{
    public class BaseModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        /// <summary>
        /// Notify of Property Changed event
        /// </summary>
        /// <param name="propertyName"></param>
        public void NotifyPropertChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }

    public class Data : BaseModel
    {
        private int x;

        public int X
        {
            get { return x; }
            set
            {
                x = value;
                NotifyPropertChanged("X");
            }
        }
        private int y;

        public int Y
        {
            get { return y; }
            set
            {
                y = value;
                NotifyPropertChanged("Y");
            }
        }


    }
}
