﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Windows.Markup;
using System.Globalization;
using Infragistics.Controls.Charts;

namespace xamChartYAxisFormatBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void xamComboEditor1_SelectionChanged(object sender, EventArgs e)
        {
            //xamChart1.Language = (XmlLanguage)xamComboEditor1.SelectedItem;
            
           // xamChart1.Refresh();

            NumericXAxis asd;
            //asd.la
        }
    }

    class ChartDataListViewModel : BaseViewModel
    {

        XmlLanguage currentLanguage= XmlLanguage.GetLanguage(CultureInfo.CurrentCulture.IetfLanguageTag);
        public XmlLanguage CurrentLanguage 
        {
            get { return currentLanguage; }
            set { currentLanguage = value;
            NotifyPropertChanged("CurrentLanguage");}
        }

        ObservableCollection<XmlLanguage> xmlLanguages;

        public ObservableCollection<XmlLanguage> XmlLanguages
        {
            get {return xmlLanguages; }
        }

        ObservableCollection<Data> _data;
        /// <summary>
        /// Observable Collection of Data
        /// Uses INotifyPropertyChange when list changes
        /// </summary>

        public ObservableCollection<Data> DataList
        {
            get { return _data; }
            set
            {
                if (_data != value)
                {
                    _data = value;
                    NotifyPropertChanged("Data");
                }
            }
        }

        public ChartDataListViewModel()
        {
            xmlLanguages = new ObservableCollection<XmlLanguage>();
             foreach (CultureInfo ci in CultureInfo.GetCultures(System.Globalization.CultureTypes.AllCultures))
             {
                 xmlLanguages.Add(XmlLanguage.GetLanguage(ci.IetfLanguageTag));
             }
            _data = new ObservableCollection<Data>();
            _data.CollectionChanged += new System.Collections.Specialized.NotifyCollectionChangedEventHandler(_data_CollectionChanged);
            LoadData();
        }

        void _data_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            NotifyPropertChanged("QuantityXLB");
            NotifyPropertChanged("QuantityYLB");

            NotifyPropertChanged("QuantityXUB");
            NotifyPropertChanged("QuantityYUB");
        }

        public void LoadData()
        {
            if (_data == null)
                _data = new ObservableCollection<Data>();
            for (int i = 0; i < 10; i++)
            {
                DataList.Add(new Data() { X = i, Y = i });
            }
        }

        private XmlLanguage _currencyFormat;

        public XmlLanguage CurrencyFormat
        {
            get { return _currencyFormat; }
            set
            {
                if (value != _currencyFormat)
                {
                    _currencyFormat = value;
                    NotifyPropertChanged("CurrencyFormat");
                }
            }
        }

        /// <summary>
        /// Minimum X value
        /// </summary>
        public int QuantityXLB
        {
            get
            {
                if (_data == null || _data.Count == 0)
                    return -1;
                else
                    return _data.Min(m => m.X);
            }
        }

        /// <summary>
        /// Maximum X value
        /// </summary>
        public int QuantityXUB
        {
            get
            {
                if (_data == null || _data.Count == 0)
                    return -1;
                else
                    return _data.Max(m => m.X);
            }
        }

        /// <summary>
        /// Minimum Y value
        /// </summary>
        public int QuantityYLB
        {
            get
            {
                if (_data == null || _data.Count == 0)
                    return -1;
                else
                    return _data.Min(m => m.Y);
            }
        }

        /// <summary>
        /// Maximum Y value
        /// </summary>
        public int QuantityYUB
        {
            get
            {
                if (_data == null || _data.Count == 0)
                    return -1;
                else
                    return _data.Max(m => m.Y);
            }
        }
    }

    
}
